% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FLArray.R, R/FLQuant.R, R/FLQuantDistr.R,
%   R/FLPar.R, R/FLComp.R, R/FLStock.R, R/FLI.R, R/predictModel.R,
%   R/FLlst-methods.R
\docType{methods}
\name{Extract}
\alias{Extract}
\alias{[,FLArray,ANY,ANY,ANY-method}
\alias{[,FLArray,array,missing,missing-method}
\alias{[<-,FLArray,ANY,ANY,ANY-method}
\alias{`[<-,FLArray,ANY,ANY,ANY-method`}
\alias{[<-,FLArray,ANY,ANY,FLArray-method}
\alias{`[<-,FLArray,ANY,ANY,FLArray-method`}
\alias{$,FLQuant-method}
\alias{[,FLQuantDistr,ANY,ANY,ANY-method}
\alias{[,FLQuantDistr,array,missing,missing-method}
\alias{[,FLPar,ANY,ANY,ANY-method}
\alias{[,FLPar,array,missing,missing-method}
\alias{[<-,FLPar,ANY,ANY,ANY-method}
\alias{$,FLPar-method}
\alias{[,FLComp,ANY,ANY,ANY-method}
\alias{[<-,FLComp,ANY,ANY,ANY-method}
\alias{[,FLStock,ANY,ANY,ANY-method}
\alias{[<-,FLStock,ANY,ANY,FLStock-method}
\alias{[,FLI,ANY,ANY,ANY-method}
\alias{[,predictModel,ANY,missing,ANY-method}
\alias{[[<-,FLlst,ANY,missing-method}
\alias{[[<-,FLlst,ANY,missing,ANY-method}
\alias{$<-,FLlst-method}
\alias{$<-,FLlst,ANY-method}
\alias{[<-,FLlst,ANY,missing,ANY-method}
\alias{[,FLlst,ANY,missing,ANY-method}
\title{Extract}
\usage{
\S4method{[}{FLArray,ANY,ANY,ANY}(x, i, j, k, l, m, n, ..., drop = FALSE)

\S4method{[}{FLArray,array,missing,missing}(x, i)

\S4method{[}{FLArray,ANY,ANY,ANY}(x, i, j, k, l, m, n, ...) <- value

\S4method{[}{FLArray,ANY,ANY,FLArray}(x, i, j, k, l, m, n, ...) <- value

\S4method{$}{FLQuant}(x, name)

\S4method{[}{FLQuantDistr,ANY,ANY,ANY}(x, i, j, k, l, m, n)

\S4method{[}{FLQuantDistr,array,missing,missing}(x, i)

\S4method{[}{FLPar,ANY,ANY,ANY}(x, i, j, k, l, m, n, ..., drop = FALSE)

\S4method{[}{FLPar,array,missing,missing}(x, i)

\S4method{[}{FLPar,ANY,ANY,ANY}(x, i, j, k, l, m, n, ...) <- value

\S4method{$}{FLPar}(x, name)

\S4method{[}{FLComp,ANY,ANY,ANY}(x, i, j, k, l, m, n, ..., drop = FALSE)

\S4method{[}{FLComp,ANY,ANY,ANY}(x, i, j, k, l, m, n, ...) <- value

\S4method{[}{FLStock,ANY,ANY,ANY}(x, i, j, k, l, m, n, ..., drop = FALSE)

\S4method{[}{FLStock,ANY,ANY,FLStock}(x, i, j, k, l, m, n, ...) <- value

\S4method{[}{FLI,ANY,ANY,ANY}(x, i, j, k, l, m, n, ..., drop = FALSE)

\S4method{[}{predictModel,ANY,missing,ANY}(x, i, k, l, m, n, ...,
  drop = FALSE)

\S4method{[[}{FLlst,ANY,missing}(x, i, j) <- value

\S4method{$}{FLlst}(x, name) <- value

\S4method{[}{FLlst,ANY,missing,ANY}(x, i, j) <- value

\S4method{[}{FLlst,ANY,missing,ANY}(x, i, drop)
}
\arguments{
\item{x}{object from which to extract or replace element(s)}

\item{i, j, k, l, m, n}{indices specifying elements to extract or replace on any of the six dimensions.}

\item{...}{indices specifying elements to extract or replace by dimension name.}

\item{drop}{If 'TRUE' the result is coerced to the lowest possible dimension, and so
might change class (e.g. drop='TRUE' on an \code{FLQuant} might return an
\code{array} of less dimensions, a \code{matrix} or a \code{vector}.}

\item{value}{An object of the same class, or simpler if \code{drop=TRUE}, than 'x'.}

\item{name}{See \link[base]{Extract} for further details.}
}
\description{
Extract or replace parts of an FLR Object
}
\details{
Operators acting on FLQuant, FLCohort, FLPar, FLComp, and derived classes to
extract or replace sections of an object.

Please note the differences between referencing sections of an object by
position using values of class \code{numeric}, or by using dimnames of class
\code{character}. See examples below.

All classes that are derived from \code{FLComp} (for example, \code{FLStock}
and \code{FLBiol}) can be subset along the six dimensions of their
\code{FLQuant} slots.

Classes that are derived from \code{FLlst} (for example, \code{FLStocks} and
\code{FLBiols}) can be subset in a similar way to ordinary list objects.

'$' for the \code{FLPar} and \code{FLQuant} classes operate only along the first
dimension ('params' or 'quant'), and are provided to be used specially in
formulas.
}
\section{Generic function}{
 \describe{ \item{}{[x,i,j,drop]}
\item{}{[<-(x,i,j,value)} \item{}{[[<-(x,i,j,value)}
\item{}{\$<-(x,name,value)} }
}

\examples{

flq <- FLQuant(rnorm(200), dimnames=list(age=0:4, year=1991:2000,
  season=1:4))

# Extracting by position...
  flq[1,]
  flq[,1:5]
  flq[1:2,,,c(1,3)]

# ...by dimnames
  flq['0',]
  flq[,'1991']
  flq[,as.character(1991:1995),,'1']

# Dimensions of length one can be drop
  flq[1, drop=TRUE]

# Replacing part of the object
  flq['0',,,1]<-0

}
\seealso{
\link[base]{Extract}
}
\author{
The FLR Team
}
\keyword{methods}
