% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oem.R
\docType{methods}
\name{cpue}
\alias{cpue}
\alias{cpue-methods}
\alias{cpue,FLStock-method}
\alias{cpue}
\alias{cpue-methods}
\alias{survey,FLStock-method}
\alias{cpue-FLStock-method}
\title{cpue, a method to generate an observation of a CPUE index of abundance}
\usage{
cpue(object, ...)

\S4method{cpue}{FLStock}(object, sel.pattern = harvest(object),
  effort = units(harvest(object)), mass = TRUE)

survey(object, ...)

\S4method{survey}{FLStock}(object, sel = stock.n(object) \%=\% 1,
  timing = 0.5, mass = FALSE)
}
\arguments{
\item{object}{The object from which to generate the observation.}

\item{effort}{Units of index to use to mimic effort series in the fishery, "f" or "hr"}

\item{mass}{Is the index to be in weight at age?}

\item{sel}{The selectivity of the survey, defaults to be 1 for all ages.}

\item{object}{The object on which to draw the observation}
}
\value{
An FLQuant for the index of abundance, age-disaggregated

An FLQuant for the index of abundance
}
\description{
The observation of stock abundance by CPUE series from commercial fleets is an
important step in the generation of management advice that needs to replicated
on an Operating Model during any simulation exercise. This method gemnerates
an observation of biomass or numbers-at-age from an FLstock being used as OM.

Description: Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eleifend
odio ac rutrum luctus. Aenean placerat porttitor commodo. Pellentesque eget porta
libero. Pellentesque molestie mi sed orci feugiat, non mollis enim tristique.
}
\details{
Details: Aliquam sagittis feugiat felis eget consequat. Praesent eleifend dolor massa, 
vitae faucibus justo lacinia a. Cras sed erat et magna pharetra bibendum quis in 
mi. Sed sodales mollis arcu, sit amet venenatis lorem fringilla vel. Vivamus vitae 
ipsum sem. Donec malesuada purus at libero bibendum accumsan. Donec ipsum sapien, 
feugiat blandit arcu in, dapibus dictum felis.
}
\examples{

data(ple4)

cpue(ple4)
# Am aggregated biomass CPUE
quantSums(cpue(ple4))

\dontrun{
plot(FLQuants(om=stock(ple4), cpue=quantSums(cpue(ple4)),
  hr=quantSums(cpue(ple4, effort="hr"))))
}

\dontrun{
plot(FLQuants(om=stock(ple4), survey=quantSums(survey(ple4) * stock.wt(ple4)),
 cpue=quantSums(cpue(ple4)), hr=quantSums(cpue(ple4, effort="hr"))))
}
}
\seealso{
\link{FLComp}

\link{FLComp}
}
\author{
Laurie Kell & Iago Mosqueira, FLR Team.

The FLR Team
}
\keyword{classes}
\keyword{methods}
